# Mint Additional Supply of ERC1155

Use this method to mint additional supply of an item.&#x20;

{% hint style="info" %}
Only works if the circulating supply is less than the maximum supply
{% endhint %}

### Usage in your script

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const response = altura.mintAdditionalSupply(
  COLLECTION_ADDRESS,
  TOKEN_ID,
  AMOUNT,
  TO_ADDRESS
);

const txHash = response.txHash;
```

{% endtab %}

{% tab title="TypeScript" %}

```typescript
const response: { txHash: string } = altura.mintAdditionalSupply(
  COLLECTION_ADDRESS,
  TOKEN_ID,
  AMOUNT,
  TO_ADDRESS
);

const txHash = response.txHash;
```

{% endtab %}
{% endtabs %}

### **Parameters**

<table><thead><tr><th width="193.33333333333331">Parameter</th><th width="137">Type</th><th width="109">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>collection_addr</code></td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>The item's collection address</td></tr><tr><td><code>token_id</code></td><td><strong>number</strong></td><td><strong>Yes</strong></td><td>The item's tokenId</td></tr><tr><td><code>amount</code></td><td><strong>number</strong></td><td><strong>Yes</strong></td><td>The amount of additional supply you want to mint</td></tr><tr><td><code>to_addr</code></td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>The address you want to mint the additional supply to​You do not need to mint the additional supply to your own wallet, instead, you can mint them to someone else's wallet right away</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/js-sdk-reference/developer-wallet-methods/mint-additional-supply-of-erc1155.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
